import yaml								# YAML parser for Bot config files
import asyncio							# Discord Py Dependency
import discord							# Main Lib
from discord.ext import commands		# Commands module
from discord_slash import SlashCommand, SlashContext, cog_ext, utils			# Slash Command Library
from discord_slash.utils.manage_commands import create_choice, create_option	# Slash Command features
import logging
# logger and handler
from bot import clearConfig, configFile, yaml_load, yaml_dump

#### Actions for the bot to take when removed from a guild.

class on_guild_remove(commands.Cog, name='On Guild Remove Events'):
	def __init__(self, client):
		self.client = client

	@commands.Cog.listener()
	async def on_guild_remove(self, guild):	## Actions for when the bot is removed from a guild.
		clearConfig(str(guild.id))

def setup(client):
	client.add_cog(on_guild_remove(client))